import 'package:flutter/material.dart';

class DeleteDialog extends StatelessWidget {
  final String? name;

  const DeleteDialog({Key? key, this.name}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return AlertDialog(
      title: name != null
          ? Text('Möchtest du "$name" wirklich löschen?')
          : const Text('Wirklich löschen?'),
      actions: [
        MaterialButton(
          onPressed: () => Navigator.of(context).pop(true),
          child: const Text('Ja'),
        ),
        ElevatedButton(
          onPressed: () => Navigator.of(context).pop(false),
          child: const Text('Nein'),
        ),
      ],
    );
  }
}
